gcc-defaults (1.230ubuntu1) resolute; urgency=medium

  * Merge with Debian (LP: #2139488):
    - d/control: Build multilib packages for powerpc.
    - Include the fsf-funding.7 man page.
    - d/control: Build doc packages.

 -- Ujjwal Sarswat <ujjwal.sarswat@canonical.com>  Mon, 23 Feb 2026 10:53:34 +0530

gcc-defaults (1.230) unstable; urgency=medium

  * Stop building multilibs on s390x.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jan 2026 17:28:52 +0100

gcc-defaults (1.229ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
    - Stop building multilib packages on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Sep 2025 01:51:39 +0200

gcc-defaults (1.226ubuntu2) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
    - Stop building multilib packages on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Sep 2025 18:58:33 +0200

gcc-defaults (1.226) UNRELEASED; urgency=medium

  * Fix some man page issues (Bjarni Ingi Gislason). Closes: #1099449.
  * Fix mod-version computation (Helmut Grohne). Closes: #1107486.
  * Depend on the native gfortran-N (Helmut Grohne).
  * Build libgphobos-dev on ppc64el.
  * Bump versions to 15.2 and 14.3.

 -- Matthias Klose <doko@debian.org>  Sun, 31 Aug 2025 17:53:03 +0200

gcc-defaults (1.222ubuntu1) questing; urgency=medium

  * Default to GCC 15.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Jul 2025 20:50:26 +0200

gcc-defaults (1.222) UNRELEASED; urgency=medium

  * Default to GCC 15.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Dec 2024 12:11:44 +0100

gcc-defaults (1.220) unstable; urgency=medium

  * Bump versions to 14.2.
  * Fix Multi-Arch coinstallability of *-for-host packages. (Helmut Grohne).
    Closes: #1082168.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Oct 2024 09:53:47 +0200

gcc-defaults (1.219ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
    - Stop building multilib packages on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Jul 2024 11:00:56 +0200

gcc-defaults (1.219) unstable; urgency=medium

  * Build gdc and gm2 packages for loong64. Closes: #1069714,
  * Bump versions to 14.1 and 13.3.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Jul 2024 10:47:56 +0200

gcc-defaults (1.215ubuntu2) oracular; urgency=medium

  * Stop building multilib packages on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jun 2024 09:17:02 +0200

gcc-defaults (1.215ubuntu1) oracular; urgency=medium

  * Bump version to 13.3.0.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Jun 2024 12:03:28 +0200

gcc-defaults (1.214ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Jan 2024 14:09:40 +0100

gcc-defaults (1.214) unstable; urgency=medium

  * gfortran: Install again the f95 alternative, lost in 1.212.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Jan 2024 14:01:22 +0100

gcc-defaults (1.211ubuntu2) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Jan 2024 19:23:00 +0100

gcc-defaults (1.211) unstable; urgency=medium

  * For *-for-{build,host} add dependencies on *-N-for-{build,host}.
  * Build packages for loong64.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Jan 2024 18:30:18 +0100

gcc-defaults (1.210) unstable; urgency=medium

  * Fix version number for *-for-build packages.
  * Adjust Conflicts/Replaces for GCC 13.
  * Still default to GCC 13.
  * Update gcc-multilib Conflicts.
  * Fix and add dependencies for -for-build and -for-host packages.
  * Fix build on architectures without having gdc.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Jan 2024 15:19:17 +0100

gcc-defaults (1.212) experimental; urgency=medium

  [ Matthias Klose ]
  * Default to GCC 14.
  * cpp: Don't ship an empty /lib directory. Closes: #1057770.
  * Also use the epoch for dependencies on unversioned gdc and gm2 packages.
  * Fix some packaging stuff pointed out by the Debian janitor.
  * Add hurd-amd64.
  * Fix building the GFDL -doc packages.
  * Stop providing i586 symlinks on i386.

  [ Helmut Grohne ]
  * Fix libgphobos dependency.
  * Speed up _gnu_type function.
  * Adjust control file generation for gcc-for-host packages.
  * Re-order the architectures in the control file.
  * Refactor computation of HOST_ARCHS_* and CROSS_ARCHS.
  * Add packages {cpp,gcc,g++,gfortran,gobjc,gobjc++,gdc,gccgo,gm2}-$triplet.
  * Add packages *-for-{build,host}.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Jan 2024 09:39:10 +0100

gcc-defaults (1.209ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Nov 2023 13:46:22 +0100

gcc-defaults (1.209) unstable; urgency=medium

  * Build armel packages from the ports package.
  * Build release compilers also on s390x.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Nov 2023 13:39:10 +0100

gcc-defaults (1.208ubuntu1) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Aug 2023 20:28:15 +0200

gcc-defaults (1.208) unstable; urgency=medium

  * Bump GCC 13 version to 13.2.0.
  * Build riscv64 packages from this source package.
  * Build alpha hppa m68k sh4 sparc64 cross packages on arm64 and ppc64el.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Aug 2023 20:13:58 +0200

gcc-defaults (1.207ubuntu2) mantic; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Jul 2023 14:38:31 +0200

gcc-defaults (1.207) unstable; urgency=medium

  * Upload to unstable, defaulting to GCC 13.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2023 14:08:06 +0200

gcc-defaults (1.206) experimental; urgency=medium

  * Fix liblto_plugin.so symlink. Closes: #1035521.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Jun 2023 15:55:43 +0200

gcc-defaults (1.204) experimental; urgency=medium

  * Default to GCC 13.1.

 -- Matthias Klose <doko@debian.org>  Mon, 01 May 2023 09:22:48 +0200

gcc-defaults (1.203) unstable; urgency=medium

  * Only build gm2-doc, when building as gcc-defaults source.
  * Fix control file generation for not-built gdc packages.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Jan 2023 10:05:59 +0100

gcc-defaults (1.202) unstable; urgency=medium

  * Build packages for arc-linux-gnu.
  * Build a gm2-doc package.
  * Provide an unversioned lto-dump binary (Jochen Sprickerhof).
    Closes: #1016437.
  * Remove obsolete parts from maintainer scripts. Closes: #1007764.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2022 10:41:05 +0100

gcc-defaults (1.201) unstable; urgency=medium

  * Bump GCC 12 version to 12.2.0.
  * Stop building gdc on alpha, m68k, sh4 and sparc64.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Aug 2022 10:25:04 +0200

gcc-defaults (1.200ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Jul 2022 17:55:20 +0200

gcc-defaults (1.200) unstable; urgency=medium

  * Stop building gccbrig, removed in GCC 12.

 -- Matthias Klose <doko@debian.org>  Fri, 22 Jul 2022 17:31:39 +0200

gcc-defaults (1.199) unstable; urgency=medium

  * Bump the gcc-N-base build dependency.

 -- Matthias Klose <doko@debian.org>  Fri, 22 Jul 2022 13:46:02 +0200

gcc-defaults (1.198) unstable; urgency=high

  * Default to GCC 12, upload to unstable.
  * Bump GCC 12 version to 12.1.0.
  * Bump GCC 11 version to 11.3.0.

 -- Matthias Klose <doko@debian.org>  Fri, 22 Jul 2022 11:23:31 +0200

gcc-defaults (1.197ubuntu2) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Aug 2021 09:36:11 +0200

gcc-defaults (1.197) experimental; urgency=medium

  * Default to GCC 12.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Dec 2021 04:27:36 +0100

gcc-defaults (1.194) unstable; urgency=medium

  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Oct 2021 18:42:59 +0200

gcc-defaults (1.193ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Aug 2021 09:36:11 +0200

gcc-defaults (1.193) experimental; urgency=medium

  * Bump GCC 10 version to 10.3.0.
  * Bump GCC 11 version to 11.2.0.
  * Also don't build the gccgo-doc package when not building gccgo.
    LP: #1562598.
  * d/rules: Factor-out mips* architectures into macros (Yunqiang Su).
  * Stop building the cross pkg-config packages for Ubuntu.
  * Drop references to powerpcspe.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Aug 2021 09:21:17 +0200

gcc-defaults (1.192ubuntu1) impish; urgency=medium

  * Default to GCC 11.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Aug 2021 09:16:43 +0200

gcc-defaults (1.192) experimental; urgency=medium

  * Default to GCC 11.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Jan 2021 12:25:44 +0100

gcc-defaults (1.190ubuntu3) impish; urgency=medium

  * Drop the multilib packages for armhf.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Apr 2021 07:22:42 +0200

gcc-defaults (1.190ubuntu1) hirsute; urgency=medium

  * Bump GCC 10 version to 10.3.0.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Apr 2021 09:19:34 +0200

gcc-defaults (1.190) unstable; urgency=medium

  * Bump GCC 10 version to 10.2.1.
  * Bump standards version.
  * Add conflicts to GCC 12 cross packages.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Jan 2021 22:22:42 +0100

gcc-defaults (1.189ubuntu2) hirsute; urgency=medium

  * Also don't build the gccgo-doc package when not building gccgo.
    LP: #1562598.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Mar 2021 16:23:26 +0100

gcc-defaults (1.189ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Sep 2020 11:51:09 +0200

gcc-defaults (1.189) unstable; urgency=medium

  * Bump GCC 10 version to 10.2.0.
  * Build gcc-offload-nvptx on ppc64el.
  * Fix some (new questionable) lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Sep 2020 15:46:09 +0200

gcc-defaults (1.188ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jul 2020 13:46:22 +0200

gcc-defaults (1.188) unstable; urgency=medium

  * Bump GCC 10 version to 10.1.0.
  * Bump GCC 9 version to 9.3.0.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Jul 2020 16:16:25 +0200

gcc-defaults (1.187) experimental; urgency=medium

  * Default to GCC 10.
  * Build gm2 packages on x32.
  * Build a gcc-offload-amdgcn package.
  * Fix some lintian warnings.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Dec 2019 14:15:02 +0100

gcc-defaults (1.185.1ubuntu2) focal; urgency=medium

  * Bump GCC 9 version to 9.3.0.
  * Default gccgo, gdc, gm2 to GCC 10.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Mar 2020 14:52:47 +0100

gcc-defaults (1.185.1ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Sep 2019 13:24:41 +0200

gcc-defaults (1.185.1) unstable; urgency=medium

  * Build the mipsel and mips64el cross packages from the
    gcc-defaults-mipsen source package.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Sep 2019 14:30:14 +0200

gcc-defaults (1.185) unstable; urgency=medium

  * Don't generate amd64 cross package in -ports and -mipsen sources.
  * Avoid building some cross gm2 dependency packages.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Aug 2019 21:25:50 +0200

gcc-defaults (1.184ubuntu2) eoan; urgency=medium

  * Avoid building some cross gm2 dependency packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Aug 2019 15:24:16 +0200

gcc-defaults (1.184ubuntu1) eoan; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -multilib packages on armel and armhf (except for gccgo).
    - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
    - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Aug 2019 08:42:43 +0200

gcc-defaults (1.184) unstable; urgency=medium

  * Build gm2 packages.
  * Stop building mips packages.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2019 13:13:13 +0200

gcc-defaults (1.183) unstable; urgency=medium

  * Default to GCC 9 (except for powerpcspe).
  * Bump GCC 9 version to 9.2.1.
  * Bump GCC 8 version to 8.3.0.
  * Build libphobos-dev on more targets.
  * Bump standards version.
  * Build ppc64el packages on arm64.
  * Build s390x packages on arm64 and ppc64el.
  * Build riscv64 packages on arm64 and ppc64el.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Aug 2019 01:23:25 +0200

gcc-defaults (1.182ubuntu4) eoan; urgency=medium

  * Default to GCC 9.
  * Bump GCC 9 version to 9.1.0.
  * Bump GCC 8 version to 8.3.0.
  * Remove the gij/gcj packaging.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Jul 2019 11:24:45 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gm2-doc`.
